curl --request PATCH \
--url https://api.notifique.dev/v1/short-links/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": false
}
'{
"success": true,
"data": {
"id": "clshort01exampleid0001",
"workspaceId": "clws_example_workspace01",
"domain": "clicar.co",
"code": "promo24",
"targetUrl": "https://loja.exemplo.com/nova-landing",
"targetUrlHash": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"outboundAttribution": "",
"source": "API",
"createdByUserId": null,
"expiresAt": "2026-06-01T00:00:00.000Z",
"deletedAt": null,
"isActive": false,
"clickCount": 128,
"createdAt": "2026-04-18T14:22:00.000Z",
"updatedAt": "2026-04-20T18:30:00.000Z",
"shortUrl": "https://clicar.co/promo24"
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid URL: ...",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Not Found",
"message": "Not Found",
"code": "NOT_FOUND"
}Short links
Update short link
Change destination or settings of a short link.
PATCH
/
v1
/
short-links
/
{id}
curl --request PATCH \
--url https://api.notifique.dev/v1/short-links/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": false
}
'{
"success": true,
"data": {
"id": "clshort01exampleid0001",
"workspaceId": "clws_example_workspace01",
"domain": "clicar.co",
"code": "promo24",
"targetUrl": "https://loja.exemplo.com/nova-landing",
"targetUrlHash": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
"outboundAttribution": "",
"source": "API",
"createdByUserId": null,
"expiresAt": "2026-06-01T00:00:00.000Z",
"deletedAt": null,
"isActive": false,
"clickCount": 128,
"createdAt": "2026-04-18T14:22:00.000Z",
"updatedAt": "2026-04-20T18:30:00.000Z",
"shortUrl": "https://clicar.co/promo24"
}
}{
"success": false,
"error": "Bad Request",
"message": "Invalid URL: ...",
"code": "BAD_REQUEST"
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Not Found",
"message": "Not Found",
"code": "NOT_FOUND"
}Authorizations
ntfShortLinksBearerAuthntfShortLinksApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Path Parameters
ID (cuid) do link.
Body
application/json
Response
Link atualizado.
Example:
true
Modelo persistido + shortUrl; datas em ISO 8601.
Show child attributes
Show child attributes
Example:
{
"id": "clxx...",
"workspaceId": "clxx...",
"domain": "string",
"code": "string",
"targetUrl": "string",
"targetUrlHash": "string",
"outboundAttribution": "string",
"source": "AUTO",
"createdByUserId": "clxx...",
"expiresAt": "2025-02-10T14:00:00.000Z",
"deletedAt": "2025-02-10T14:00:00.000Z",
"isActive": true,
"clickCount": 1,
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:00.000Z",
"shortUrl": "https://example.com/resource",
"utmCampaign": "string",
"utmContent": "string",
"abVariant": "string",
"utmInjectEnabled": true,
"conversionCount": 1,
"conversionValueCents": "string"
}
Was this page helpful?

